from django.conf.urls import include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from rest_framework.routers import DefaultRouter
from rest_framework_jwt.views import obtain_jwt_token, refresh_jwt_token

from core import views

# Create a router and register our viewsets with it.
router = DefaultRouter()
router.register(r'student', views.StudentReviewerApiViewSet)
router.register(r'examtype', views.ExamApiViewSet)
router.register(r'submissiontype', views.SubmissionTypeApiView)
router.register(r'tutor', views.TutorApiViewSet)
router.register(r'student-page', views.StudentSelfApiViewSet, base_name='student_page')

urlpatterns = [
    url(r'^api/', include(router.urls)),
    url(r'^api-token-auth/', obtain_jwt_token),
    url(r'^api-token-refresh', refresh_jwt_token),
]

urlpatterns += staticfiles_urlpatterns()
